Subject: bug#16513: 24.3.50; doc string of `use-empty-active-region'

From: Lars Ingebrigtsen <[email-masked]>
Date: Sun, 09 Feb 2014 21:34:45 -0800

Drew Adams <[email-masked]> writes:

> 1. Remove the last part: ", and on the text near point otherwise."  It
> is inappropriate and wrong.  (This is the reason I filed this bug.)
>
> This is about commands that act differently depending on whether or
> not the region is active.  Do not say anything about what the behavior
> must be in either case: active or inactive.  Certainly, do not claim
> that when the region is inactive such commands act on the text near
> point. That is pure fantasy.
>
> 2. Simplify the following, which suggests that having an active region
> is somehow different from having an active mark:
>
> "If non-nil, region-aware commands treat the region as active as long as
> the mark is active, even if the region is empty."  Just say: "If
> non-nil, region-aware commands treat an active region as such, even if
> it is empty."
>
> 3. Do not speak of "regions", as it can confuse people.  In any given
> buffer at any moment there is only one region.  "The region" makes
> sense; "regions" does not, unless you are talking about multiple
> buffers.

The previous version of the doc strings seems to be more
straightforward.  Is there some subtlety that the new version tried to
get across?

!   "If non-nil, an active region takes control even if empty.
! This applies to certain commands which, in Transient Mark mode,
! apply to the active region if there is one.  If the setting is t,
! these commands apply to an empty active region if there is one.
! If the setting is nil, these commands treat an empty active
! region as if it were not active."

while it's now

(defcustom use-empty-active-region nil
  "Whether \"region-aware\" commands should act on empty regions.
If nil, region-aware commands treat empty regions as inactive.
If non-nil, region-aware commands treat the region as active as
long as the mark is active, even if the region is empty.

Region-aware commands are those that act on the region if it is
active and Transient Mark mode is enabled, and on the text near
point otherwise."

-- 
(domestic pets only, the antidote for overdose, milk.)
  bloggy blog http://lars.ingebrigtsen.no/